Favorite Endpoints
Manage user favorites โ bookmark entities (tasks, projects, contacts) for quick access.
Base Pathโ
/api/favorite
Endpointsโ
List Favoritesโ
GET /api/favorite
Authorization: Bearer {token}
Add to Favoritesโ
POST /api/favorite
Authorization: Bearer {token}
Content-Type: application/json
{
"entity": "OrganizationProject",
"entityId": "project-uuid",
"organizationId": "uuid"
}
Remove from Favoritesโ
DELETE /api/favorite/:id
Authorization: Bearer {token}
Supported Entitiesโ
| Entity Type | Description |
|---|---|
Task | Tasks |
OrganizationProject | Projects |
OrganizationContact | CRM contacts |
OrganizationTeam | Teams |
Employee | Employees |
Data Modelโ
interface IFavorite {
id: string;
entity: string;
entityId: string;
employeeId: string;
organizationId: string;
tenantId: string;
}
Related Pagesโ
- Favorites Feature โ feature guide